Description

Supportanfrage

Ja ADTF2 wird bald ersetzt aber durch das aktuelle Projekt bräuchte ich doch eure Hilfe.

Ich versuche aktuell die CTests für meine Filter zu implementieren allerdings scheitere ich schon am demo_tester_formatconversion

Beispiel.

Es kompiliert und linkt aber zur Laufzeit bekomme ich folgende Meldung:

setUp: passed: IS_OK((adtf_test::pServiceEnv->Setup(&pException)))

/media/storage/j/workspace/dw_ADTF2_Core/ADTF_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285

): info 0x00000000: Try to load "adtf_clock.srv"

/media/storage/j/workspace/dw_ADTF2_Core/ADTF_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1299

): error 0x00000000: The working directory "" for loading Plugin "adtf_clock.srv" could not be set !

 Das Problem scheint beim Aufruf vom FILTER_ENV_SETUP; Macro aufzutreten. Die ADTF_DIR Umgebungsvariable ist auch

korrekt gesetzt.

Könnt ihr mir eventuell weiterhelfen?

Lösung

Hast du ADTF_PLUGINS_DIR auch gesetzt, siehe 

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_testframework.html ?

Ansonsten weiß der Test ja nicht, wo der Clock Service liegt.

Alternativ kannst du die Pfade auch angeben (oder in Kombination mit Env Variablen defineren) aber so sucht wird einfach nur

anhand der Standardsuchpfade ein adtf_clock.srv gesucht... das wird nicht funktionieren, außer die Datei liegt im Path o.ä.

History

#1 - 2020-05-11 09:56 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::Common

#3 - 2020-05-11 16:16 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Tobias,

hast du ADTF_PLUGINS_DIR auch gesetzt, siehe https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_testframework.html ?

Ansonsten weiß der Test ja nicht, wo der Clock Service liegt.

Alternativ kannst du die Pfade auch angeben (oder in Kombination mit Env Variablen defineren) aber so sucht wird einfach nur anhand der

Standardsuchpfade ein adtf_clock.srv gesucht... das wird nicht funktionieren, außer die Datei liegt im Path o.ä.

#4 - 2020-05-12 11:15 - hidden

Hallo Florian,
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_testframework.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_testframework.html


das hab ich natürlich vergessen, danke für den Hinweis.

Nach neuem CMake Aufruf und neu kompilieren ist der Fehler allerdings immer noch vorhanden.

Habe versucht CMake den Pfad mit –D zu übergeben (adtf-2.14.3/bin richtig?) und es dann noch mal per Umgebungsvariable versucht.

Leider beides kein Erfolg auch wenn ich adtf-2.14.3/bin/debug benutze.

Kann ich der Test Executable beim Aufruf den Pfad übergeben?

Schon mal vielen Dank für die schnelle Antwort ☺

Viele Grüße,

Tobias

#5 - 2020-05-12 11:30 - hidden

Hallo Florian,

ich noch mal mit einem Update. Das Problem liegt an meinem WSL. Hab das Plugin Directory gerade noch mal in der virtuellen Maschine mit einer

grafischen Oberfläche eingestellt und getestet und es geht.

Muss da glaube ich noch mehr im WSL konfigurieren.

Vielen Dank auf jeden Fall für den Tipp mit dem Plugin Directory!

Viele Grüße,

Tobias

#6 - 2020-05-12 17:19 - hidden

- Project changed from 20 to Public Support

- Subject changed from ADTF 2 CTest Beispiel to Testing example for ADTF 2.x does not work

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
